package copies

import "fmt"

type ErrUnknownDomainOrCommand struct {
	Str string
}

func (u *ErrUnknownDomainOrCommand) Error() string {
	return fmt.Sprintf(`Unknown Command: '%s'.`, u.Str)
}

type ErrUnknownCommand struct {
	Cmd string
}

func (u *ErrUnknownCommand) Error() string {
	return fmt.Sprintf(`Unknown Command: '%s'.`, u.Cmd)
}

type ErrMissingArguments struct {
}

func (m *ErrMissingArguments) Error() string {
	return `Missing arguments`
}

type ErrNoCommandsGiven struct {
}

func (m *ErrNoCommandsGiven) Error() string {
	return `No commands given`
}

type ErrTODO struct {
	Kind string
	Name string
}

func (e *ErrTODO) Error() string {
	return fmt.Sprintf(`'%s' not implemented: '%s'.`, e.Kind, e.Name)
}
